Loading...
Searching...
No Matches
Catch::ScopedMessage Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::ScopedMessage:
[legend]

## Public Member Functions

| ScopedMessage (MessageBuilder &&builder)
| ScopedMessage (ScopedMessage &duplicate)=delete
| ScopedMessage (ScopedMessage &&old) noexcept
| ~ScopedMessage ()

## Public Attributes

MessageInfo | m_info
bool | m_moved = false

## Constructor & Destructor Documentation

## ScopedMessage() [1/3]

Catch::ScopedMessage::ScopedMessage | ( | MessageBuilder && | builder | ) |

explicit

Here is the call graph for this function:
Here is the caller graph for this function:

## ScopedMessage() [2/3]

Catch::ScopedMessage::ScopedMessage | ( | ScopedMessage & | duplicate | ) |

delete

Here is the call graph for this function:

## ScopedMessage() [3/3]

Catch::ScopedMessage::ScopedMessage | ( | ScopedMessage && | old | ) |

noexcept

Here is the call graph for this function:

## ~ScopedMessage()

Catch::ScopedMessage::~ScopedMessage | ( |  | ) |

Here is the call graph for this function:

## Member Data Documentation

## m_info

MessageInfo Catch::ScopedMessage::m_info

## m_moved

bool Catch::ScopedMessage::m_moved = false

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp